---
import Layout from "../layouts/Layout.astro";
import TopSection from "../components/TopSection.astro";
import MarketingDetails from "../components/MarketingDetails.astro";
import WeChoose from "../components/WeChoose.astro";
const {} = Astro.props;
const response = await fetch(`${import.meta.env.PUBLIC_STRAPI_URL}`, {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({
        query: `
        query{
            homePage{
                data{
                    attributes{
                        section_one_title1
                        section_one_title2
                        section_one_content
                        section_one_button
                        section_twos{
                            data{
                                attributes{
                                    count
                                    title
                                    content
                                }
                            }
                        }
                        section_three_title1
                        section_three_title2
                        section_three_content
                        section_three_count1
                        section_three_subtitle1
                        section_three_count1
                        section_three_subtitle2
                        section_three_count2
                        section_three_subtitle3
                        section_three_count3
                        section_three_subtitle4
                        section_three_count4
                        section_three_subtitle5
                        section_three_count5
                        section_four_title
                        section_five_title1
                        section_five_title2
                        section_five_content
                        section_six_title1
                        section_six_title2
                        section_six_content
                        section_six_button
                        marketing_service_sections( pagination: { limit: 100 }){
                            data{
                                attributes{
                                    title
                                    subtitle
                                    image
                                    content
                                }
                            }
                        }
                        section_eight_title1
                        section_eight_title2
                        section_eight_description
                        section_eight_content1
                        section_eight_content2
                        section_eight_content3
                        section_eight_content4
                        section_nine_heading
                        section_nine_title
                        section_nine_subtitle1
                        section_nine_content1
                        section_nine_subtitle2
                        section_nine_content2
                        section_nine_subtitle3
                        section_nine_content3
                        section_nine_subtitle4
                        section_nine_content4
                        section_ten_title1
                        section_ten_title2
                        section_eleven_title1
                        section_eleven_title2
                        section_eleven_content
                        section_eleven_lists{
                            data{
                                attributes{
                                    title
                                }
                            }
                        }
                    }
                }
            }
        }`,
    }),
});
const data = await response.json();
---

<script>
    document.addEventListener("DOMContentLoaded", () => {
        function counter(id: any, start: any, end: any, duration: any) {
            let obj = document.getElementById(id),
                current = start,
                range = end - start,
                increment = end > start ? 1 : -1,
                step = Math.abs(Math.floor(duration / range)),
                timer = setInterval(() => {
                    current += increment;
                    if (obj != null) {
                        obj.textContent = current;
                    }
                    if (current == end) {
                        clearInterval(timer);
                    }
                }, step);
        }

        counter("count1", 0, 150, 3000);
        counter("count2", 0, 150, 3000);
        counter("count3", 0, 1500, 3000);
        counter("count4", 0, 20, 3000);
        counter("count5", 0, 80, 3000);
    });
</script>
<Layout title={"metaverseMarketing"}>
    <div class="web-marketing-agency-page cma mma-page home-page2">
       <TopSection data={data.data.homePage.data.attributes}/>
        <section class="common-carousel-ms-one">
            <div class="container">
                <div class="cc-inn home-ban-bg">
                    <div class="row justify-content-center">
                        <div class="col-lg-6 col-sm-6">
                            <div class="banner-img-mm pxl-circle-move">
                                <img
                                    src="/assets/images/home/home-banner-img.webp"
                                    alt="icon"
                                    class="pxl-image-wg pxl-animated"
                                />
                            </div>
                            <div class="banner-img-mm2">
                                <img
                                    src="/assets/images/home/home2.webp"
                                    alt="icon"
                                />
                            </div>
                        </div>
                        <div class="col-lg-6 col-sm-6">
                            <div class="banner-img-mm3">
                                <img
                                    src="/assets/images/home/home1.webp"
                                    alt="icon"
                                />
                            </div>
                            <div class="ombre-externe main-car-inn">
                                <div class="ombre-interne">
                                    <div class="carousel-mma2">
                                        <div
                                            id="carouselExampleDark3"
                                            class="carousel carousel-dark slide"
                                            data-bs-ride="carousel"
                                        >
                                            <div class="carousel-indicators">
                                                <button
                                                    type="button"
                                                    data-bs-target="#carouselExampleDark3"
                                                    data-bs-slide-to="0"
                                                    class="active"
                                                    aria-current="true"
                                                    aria-label="Slide 1"
                                                ></button>
                                                <button
                                                    type="button"
                                                    data-bs-target="#carouselExampleDark3"
                                                    data-bs-slide-to="1"
                                                    aria-label="Slide 2"
                                                ></button>
                                                <button
                                                    type="button"
                                                    data-bs-target="#carouselExampleDark3"
                                                    data-bs-slide-to="2"
                                                    aria-label="Slide 3"
                                                ></button>
                                                <button
                                                    type="button"
                                                    data-bs-target="#carouselExampleDark3"
                                                    data-bs-slide-to="3"
                                                    aria-label="Slide 4"
                                                ></button>
                                            </div>
                                            <div class="carousel-inner">
                                                <div
                                                    class="carousel-item active"
                                                    data-bs-interval="20000"
                                                >
                                                    <div
                                                        class="carousel-caption"
                                                    >
                                                        <div
                                                            class="drs-ms rubik-bold"
                                                        >
                                                            <img
                                                                src="/assets/images/home/target.webp"
                                                                alt="icon"
                                                            />
                                                            <b
                                                                >{
                                                                    data.data
                                                                        .homePage
                                                                        .data
                                                                        .attributes
                                                                        .section_twos
                                                                        .data[0]
                                                                        .attributes
                                                                        .count
                                                                }+</b
                                                            >
                                                        </div>
                                                        <h6>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[0]
                                                                    .attributes
                                                                    .title
                                                            }
                                                        </h6>
                                                        <p>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[0]
                                                                    .attributes
                                                                    .content
                                                            }
                                                        </p>
                                                    </div>
                                                </div>
                                                <div
                                                    class="carousel-item"
                                                    data-bs-interval="20000"
                                                >
                                                    <div
                                                        class="carousel-caption"
                                                    >
                                                        <div
                                                            class="drs-ms rubik-bold"
                                                        >
                                                            <img
                                                                src="/assets/images/home/conversation.webp"
                                                                alt="icon"
                                                            />
                                                            <b
                                                                >{
                                                                    data.data
                                                                        .homePage
                                                                        .data
                                                                        .attributes
                                                                        .section_twos
                                                                        .data[1]
                                                                        .attributes
                                                                        .count
                                                                }+</b
                                                            >
                                                        </div>
                                                        <h6>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[1]
                                                                    .attributes
                                                                    .title
                                                            }
                                                        </h6>
                                                        <p>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[1]
                                                                    .attributes
                                                                    .content
                                                            }
                                                        </p>
                                                    </div>
                                                </div>
                                                <div
                                                    class="carousel-item"
                                                    data-bs-interval="20000"
                                                >
                                                    <div
                                                        class="carousel-caption"
                                                    >
                                                        <div
                                                            class="drs-ms rubik-bold"
                                                        >
                                                            <img
                                                                src="/assets/images/home/engagement.webp"
                                                                alt="icon"
                                                            />
                                                            <b
                                                                >{
                                                                    data.data
                                                                        .homePage
                                                                        .data
                                                                        .attributes
                                                                        .section_twos
                                                                        .data[2]
                                                                        .attributes
                                                                        .count
                                                                }+</b
                                                            >
                                                        </div>
                                                        <h6>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[2]
                                                                    .attributes
                                                                    .title
                                                            }
                                                        </h6>
                                                        <p>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[2]
                                                                    .attributes
                                                                    .content
                                                            }
                                                        </p>
                                                    </div>
                                                </div>
                                                <div
                                                    class="carousel-item"
                                                    data-bs-interval="20000"
                                                >
                                                    <div
                                                        class="carousel-caption"
                                                    >
                                                        <div
                                                            class="drs-ms rubik-bold"
                                                        >
                                                            <img
                                                                src="/assets/images/home/growth.webp"
                                                                alt="icon"
                                                            />
                                                            <b
                                                                >{
                                                                    data.data
                                                                        .homePage
                                                                        .data
                                                                        .attributes
                                                                        .section_twos
                                                                        .data[3]
                                                                        .attributes
                                                                        .count
                                                                }% +</b
                                                            >
                                                        </div>
                                                        <h6>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[3]
                                                                    .attributes
                                                                    .title
                                                            }
                                                        </h6>
                                                        <p>
                                                            {
                                                                data.data
                                                                    .homePage
                                                                    .data
                                                                    .attributes
                                                                    .section_twos
                                                                    .data[3]
                                                                    .attributes
                                                                    .content
                                                            }
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="trusted-sec2 pb-2">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-12 col-sm-12">
                        <h2 class="text-blue1 text-center">
                            {
                                data.data.homePage.data.attributes
                                    .section_three_title1
                            }
                            <b class="text-dark-blue"
                                >{
                                    data.data.homePage.data.attributes
                                        .section_three_title2
                                }</b
                            >
                        </h2>
                        <p class="text-center text-gray py-3">
                            {
                                data.data.homePage.data.attributes
                                    .section_three_content
                            }
                        </p>
                        <!-- <div class="text-center trust-logos">                        
                            <img src="assets/img/metaverse-marketing/logo1.png" alt="Image" class="" />
                            <img src="assets/img/metaverse-marketing/logo2.png" alt="Image" class="" />
                            <img src="assets/img/metaverse-marketing/logo3.png" alt="Image" class="" />
                            <img src="assets/img/metaverse-marketing/logo4.png" alt="Image" class="" />
                            <img src="assets/img/metaverse-marketing/logo5.png" alt="Image" class="" />                         
                        </div>
                        <h6 class="text-center text-gray">More than 120+ growing businesses trust Marketing Agency</h6> -->
                    </div>
                </div>
            </div>
        </section>
        <MarketingDetails data={data}/>
    
        <div class="partner-area home-section-Five">
            <div class="container">
                <h2 class="text-center">
                    <span class="sign-icon"
                        >{
                            data.data.homePage.data.attributes
                                .section_four_title
                        }</span
                    >
                </h2>
                <div class="partner-slides owl-theme d-flex">
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/redcab.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/neo.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/Trust.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/skill.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/bitprive.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                    <div class="single-partner-item">
                        <a href="#"
                            ><img
                                src="/assets/images/home/anxo.webp"
                                alt="image"
                            /></a
                        >
                    </div>
                </div>
            </div>
        </div>
        <section class="trusted-sec2 pb-2">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-12 col-sm-12">
                        <h2 class="text-blue1 text-center">
                            {
                                data.data.homePage.data.attributes
                                    .section_five_title1
                            }
                            <b class="text-dark-blue">
                                {
                                    data.data.homePage.data.attributes
                                        .section_five_title2
                                }</b
                            >
                        </h2>
                        <p class="text-center text-gray py-3">
                            {
                                data.data.homePage.data.attributes
                                    .section_five_content
                            }
                        </p>
                    </div>
                </div>
            </div>
        </section>
        <div class="cs-banner-section main-home-sec mooud">
            <div class="d-table container">
                <div class="d-table-cell">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-7 col-md-12">
                                <div class="banner-content">
                                    <div class="mb-3">
                                        <div class="demoty">
                                            {
                                                data.data.homePage.data
                                                    .attributes
                                                    .section_six_button
                                            }
                                        </div>
                                    </div>
                                    <h1 class="text-blue1">
                                        {
                                            data.data.homePage.data.attributes
                                                .section_six_title1
                                        } <br /><b class="text-dark-blue"
                                            >{
                                                data.data.homePage.data
                                                    .attributes
                                                    .section_six_title2
                                            }</b
                                        >
                                    </h1>
                                </div>
                            </div>
                            <div class="col-lg-5 col-md-12">
                                <p class="text-gray">
                                    {
                                        data.data.homePage.data.attributes
                                            .section_six_content
                                    }
                                </p>
                            </div>
                        </div>
                        <div class="carousel-mma2">
                            <div class="row justify-content-center">
                                {
                                    data.data.homePage.data.attributes.marketing_service_sections.data.map(
                                        (each: any) => {
                                            return (
                                                <div class="col-lg-4 col-sm-6">
                                                    <div class="carousel-mma2-inn-box">
                                                        <h4>
                                                            <>
                                                                <b class="text-blue">
                                                                    {
                                                                        each
                                                                            .attributes
                                                                            .title
                                                                    }
                                                                </b>
                                                                <br />
                                                            </>{" "}
                                                            {
                                                                each.attributes
                                                                    .subtitle
                                                            }
                                                        </h4>
                                                        <div class="cmma-img">
                                                            <img
                                                                src={
                                                                    each
                                                                        .attributes
                                                                        .image
                                                                }
                                                                alt="image"
                                                            />
                                                        </div>
                                                        <p>
                                                            {
                                                                each.attributes
                                                                    .content
                                                            }
                                                        </p>
                                                    </div>
                                                </div>
                                            );
                                        },
                                    )
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="cs-banner-section main-home-sec mooud mooud2">
            <div class="d-table container">
                <div class="d-table-cell">
                    <div class="row align-items-center">
                        <div class="col-lg-4 col-md-12">
                            <div class="banner-content">
                                <h1 class="text-blue1">
                                    {
                                        data.data.homePage.data.attributes
                                            .section_eight_title1
                                    }
                                    <br /><b class="text-dark-blue"
                                        >{
                                            data.data.homePage.data.attributes
                                                .section_eight_title2
                                        }</b
                                    >
                                </h1>
                                <p class="text-left text-gray">
                                    {
                                        data.data.homePage.data.attributes
                                            .section_eight_description
                                    }
                                </p>
                            </div>
                        </div>
                        <div class="col-lg-8 col-md-12">
                            <div class="row align-items-center">
                                <div class="col-lg-6 col-md-12">
                                    <div class="our-streamlined-inn">
                                        <div class="os-box">
                                            <p>
                                                {
                                                    data.data.homePage.data
                                                        .attributes
                                                        .section_eight_content1
                                                }
                                            </p>
                                        </div>
                                    </div>
                                    <div class="our-streamlined-inn">
                                        <div class="os-box">
                                            <p>
                                                {
                                                    data.data.homePage.data
                                                        .attributes
                                                        .section_eight_content2
                                                }
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-12">
                                    <div class="our-streamlined-inn">
                                        <div class="os-box">
                                            <p>
                                                {
                                                    data.data.homePage.data
                                                        .attributes
                                                        .section_eight_content3
                                                }
                                            </p>
                                        </div>
                                    </div>
                                    <div class="our-streamlined-inn">
                                        <div class="os-box">
                                            <p>
                                                {
                                                    data.data.homePage.data
                                                        .attributes
                                                        .section_eight_content4
                                                }
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="cs-banner-section main-home-sec whychoosing">
            <div class="d-table container">
                <div class="d-table-cell">
                    <div class="container">
                        <div class="whychoose-ms img-center z-20">
                            <img
                                class="vert-move2"
                                src="/assets/images/home/hand.webp"
                                alt="icon"
                                class="vert-move2"
                            />
                        </div>
                        <p class="text-gray text-center">
                            {
                                data.data.homePage.data.attributes
                                    .section_nine_heading
                            }
                        </p>
                        <h1 class="text-blue1 text-center">
                            {
                                data.data.homePage.data.attributes
                                    .section_nine_title
                            }
                        </h1>
                        <p class="text-gray text-center">
                            {
                                data.data.homePage.data.attributes
                                    .section_nine_subtitle1
                            }
                        </p>
                        <WeChoose data={data}/>
                    </div>
                </div>
            </div>
        </div>
        <section class="features-area home-section-one">
            <div class="container">
                <div class="tab features-list-tab">
                    <div class="tab_content">
                        <div class="tabs_item">
                            <div class="features-overview">
                                <div class="overview-content">
                                    <div class="content">
                                        <div class="mining-content">
                                            <h1 class="text-blue1 text-center">
                                                {
                                                    data.data.homePage.data
                                                        .attributes
                                                        .section_ten_title1
                                                } <b
                                                    class="text-dark-blue"
                                                    >{
                                                        data.data.homePage.data
                                                            .attributes
                                                            .section_ten_title2
                                                    }</b
                                                >
                                            </h1>
                                        </div>
                                        <div
                                            class="partner-area home-section-Five py-0"
                                        >
                                            <div
                                                class="partner-slides owl-theme d-flex"
                                            >
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/redcab.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/neo.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/Trust.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/skill.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/bitprive.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                                <div
                                                    class="single-partner-item"
                                                >
                                                    <a href="#"
                                                        ><img
                                                            src="/assets/images/home/anxo.webp"
                                                            alt="image"
                                                        /></a
                                                    >
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="features-area home-section-Eight whybb-sec hme-ideal">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6 col-sm-6">
                        <div class="section-title mb-2">
                            <h1 class="text-blue1 text-left">
                                {
                                    data.data.homePage.data
                                        .attributes
                                        .section_eleven_title1
                                } <b
                                    class="text-dark-blue"
                                >
                                {
                                    data.data.homePage.data
                                        .attributes
                                        .section_eleven_title2
                                }</b
                                >
                            </h1>
                        </div>
                    </div>
                    <div class="col-lg-6 col-sm-6">
                        <p class="text-justify py-2 text-gray">
                            {
                                data.data.homePage.data
                                    .attributes
                                    .section_eleven_content
                            }
                        </p>
                        <div class="tab features-list-tab">
                            <ul class="tabs">
                                <li class="current">
                                    <div class="why-part bg-fa7070">
                                        <img
                                            src="/assets/images/home/asset-1.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[0].attributes.title
                                        }</span>
                                    </div>
                                </li>
                                <li class="current">
                                    <div class="why-part bg-00aeff">
                                        <img
                                            src="/assets/images/home/asset-2.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[1].attributes.title
                                        }</span>
                                    </div>
                                </li>
                                <li class="current">
                                    <div class="why-part bg-c679e3">
                                        <img
                                            src="/assets/images/home/asset-3.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[2].attributes.title
                                        }</span>
                                    </div>
                                </li>
                                <li class="current">
                                    <div class="why-part bg-eb6b3d">
                                        <img
                                            src="/assets/images/home/asset-4.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[3].attributes.title
                                        }</span>
                                    </div>
                                </li>
                                <li class="current">
                                    <a href="#"
                                        ><img
                                            src="/assets/images/home/asset-5.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[4].attributes.title
                                        }</span></a
                                    >
                                </li>
                                <li class="current">
                                    <div class="why-part bg-f78acb">
                                        <img
                                            src="/assets/images/home/asset-6.webp"
                                            alt="image"
                                        /><span>{
                                            data.data.homePage.data
                                                .attributes
                                                .section_eleven_lists.data[5].attributes.title
                                        }</span>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</Layout>
